## qt6-virtualkeyboard 6.4.2+dfsg

=== CMakeLists.txt ===
# Generated from qtvirtualkeyboard.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtVirtualKeyboard
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt VirtualKeyboard Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Qml QmlTools Quick Svg QuickTest QuickControls2) # special case

if(NOT TARGET Qt::Quick)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Quick\" is not met.")
    return()
endif()
if(NOT TARGET Qt::Svg)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Svg\" is not met.")
    return()
endif()
if(WINRT)
    message(NOTICE "Skipping the build as the condition \"NOT WINRT\" is not met.")
    return()
endif()
qt_build_repo()

=== config.tests/hunspell/CMakeLists.txt ===
# Generated from hunspell.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_hunspell LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== examples/virtualkeyboard/CMakeLists.txt ===
if(TARGET Qt::QuickControls2)
    qt_internal_add_example(basic)
endif()

=== src/plugins/CMakeLists.txt ===
set(plugins_imports)
if(QT_FEATURE_cerence_sdk)
    add_subdirectory(cerence)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.Cerence/auto)
endif()
if(QT_FEATURE_hangul)
    add_subdirectory(hangul)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.Hangul/auto)
endif()
if(QT_FEATURE_hunspell)
    add_subdirectory(hunspell)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.Hunspell/auto)
endif()
if(QT_FEATURE_openwnn)
    add_subdirectory(openwnn)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.OpenWNN/auto)
endif()
if(QT_FEATURE_pinyin AND NOT QT_FEATURE_cerence_xt9)
    add_subdirectory(pinyin)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.Pinyin/auto)
endif()
if(QT_FEATURE_tcime)
    add_subdirectory(tcime)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.TCIme/auto)
endif()
if(QT_FEATURE_myscript)
    add_subdirectory(myscript)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.MyScript/auto)
endif()
if(QT_FEATURE_thai)
    add_subdirectory(thai)
    list(APPEND plugins_imports QtQuick.VirtualKeyboard.Plugins.Thai/auto)
endif()

qt_internal_add_qml_module(qtvkbpluginsplugin
    URI "QtQuick.VirtualKeyboard.Plugins"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtvkbpluginsplugin
    IMPORTS
        ${plugins_imports}
)

=== src/styles/CMakeLists.txt ===
set(styles_imports)
if(NOT QT_FEATURE_vkb_no_builtin_style)
    add_subdirectory(builtin)
    list(APPEND styles_imports QtQuick.VirtualKeyboard.Styles.Builtin/auto)
endif()

#####################################################################
## QtQuick.VirtualKeyboard.Styles
#####################################################################

qt_internal_add_qml_module(qtvkbstylesplugin
    URI "QtQuick.VirtualKeyboard.Styles"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2 1
    PLUGIN_TARGET qtvkbstylesplugin
    CLASS_NAME "QtQuickVirtualKeyboardStylesPlugin"
    # Note: The plugin source is defined manually because it uses an
    #       image provider. Once the image provider doesn't need an
    #       engine anymore, we can auto-generate the plugin.
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick/auto
    IMPORTS
        ${styles_imports}
    SOURCES
        qtquickvirtualkeyboardstylesplugin.cpp qtquickvirtualkeyboardstylesplugin.h
        svgimageprovider.cpp svgimageprovider.h
    QML_FILES
        KeyboardStyle.qml
        KeyIcon.qml
        KeyPanel.qml
        SelectionListItem.qml
        TraceInputKeyPanel.qml
        TraceCanvas.qml
        TraceUtils.js
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::Svg
)

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

if(NOT ANDROID) # QTBUG-102756
add_subdirectory(inputpanel)
endif()
add_subdirectory(inputpanelcontrols)
add_subdirectory(styles)
add_subdirectory(layoutfilesystem)
add_subdirectory(layoutresources)
# add_subdirectory(cmake) # special case
add_subdirectory(dictionarymanager)

=== tests/manual/CMakeLists.txt ===
# Generated from manual.pro.

add_subdirectory(x11vkbwrapper)
add_subdirectory(x11vkbtest)
add_subdirectory(quickcontrols2)
add_subdirectory(startupperformance)

=== src/plugins/cerence/CMakeLists.txt ===
set(cerence_imports)

add_subdirectory(cerencecommon)
if(QT_FEATURE_cerence_hwr)
    add_subdirectory(hwr)
    list(APPEND cerence_imports QtQuick.VirtualKeyboard.Plugins.Cerence.HWR/auto)
endif()
if(QT_FEATURE_cerence_xt9)
    add_subdirectory(xt9)
    list(APPEND cerence_imports QtQuick.VirtualKeyboard.Plugins.Cerence.XT9/auto)
endif()

qt_internal_add_qml_module(qtvkbcerenceplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Cerence"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtvkbcerenceplugin
    IMPORTS
        ${cerence_imports}
)

=== src/plugins/hunspell/CMakeLists.txt ===
if(QT_FEATURE_3rdparty_hunspell)
    add_subdirectory(3rdparty/hunspell)
endif()
add_subdirectory(module)

=== src/plugins/openwnn/CMakeLists.txt ===
add_subdirectory(3rdparty/openwnn)

#####################################################################
## QtVirtualKeyboardOpenWnnPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbopenwnnplugin
    URI "QtQuick.VirtualKeyboard.Plugins.OpenWNN"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtvkbopenwnnplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        openwnninputmethod.cpp openwnninputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
        Qt::BundledOpenwnn
)

# Resources:
set(qmake_virtualkeyboard_openwnn_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/ja_JP/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/ja_JP/digits.fallback"
    "${VKB_LAYOUTS_BASE}/ja_JP/main.qml"
    "${VKB_LAYOUTS_BASE}/ja_JP/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/ja_JP/symbols.qml"
)

qt_internal_add_resource(qtvkbopenwnnplugin "qmake_virtualkeyboard_openwnn_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_openwnn_layouts_resource_files}
)

=== src/plugins/pinyin/CMakeLists.txt ===
add_subdirectory(3rdparty/pinyin)

#####################################################################
## QtVirtualKeyboardPinyinPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbpinyinplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Pinyin"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtvkbpinyinplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        pinyindecoderservice.cpp pinyindecoderservice_p.h
        pinyininputmethod.cpp pinyininputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
        Qt::BundledPinyin
)

# Resources:
set(qmake_virtualkeyboard_pinyin_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/zh_CN/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/zh_CN/digits.fallback"
    "${VKB_LAYOUTS_BASE}/zh_CN/main.qml"
    "${VKB_LAYOUTS_BASE}/zh_CN/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/zh_CN/symbols.qml"
)

qt_internal_add_resource(qtvkbpinyinplugin "qmake_virtualkeyboard_pinyin_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}" #special case
    BASE
        "${VKB_LAYOUTS_BASE}" #special case
    FILES
        ${qmake_virtualkeyboard_pinyin_layouts_resource_files}
)

if (NOT FEATURE_vkb_no_bundle_pinyin)
    # Resources:
    set(qmake_pinyin_resource_files
        "3rdparty/pinyin/data/dict_pinyin.dat"
    )

    qt_internal_add_resource(qtvkbpinyinplugin "qmake_pinyin"
        PREFIX
            "/qt-project.org/imports/QtQuick/VirtualKeyboard"
        BASE
            "${CMAKE_CURRENT_SOURCE_DIR}"
        FILES
            ${qmake_pinyin_resource_files}
    )
else()
    qt_copy_or_install(
        DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/pinyin/data/"
        DESTINATION "${VKB_INSTALL_DATA}/pinyin"
        FILES_MATCHING
        PATTERN "*.dat"
    )
endif()

=== src/plugins/tcime/CMakeLists.txt ===
add_subdirectory(3rdparty/tcime)

#####################################################################
## QtVirtualKeyboardTCImePlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbtcimeplugin
    URI "QtQuick.VirtualKeyboard.Plugins.TCIme"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtvkbtcimeplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        tcinputmethod.cpp tcinputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
        Qt::BundledTcime
)

set(qmake_virtualkeyboard_tcime_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/zh_TW/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/zh_TW/digits.fallback"
    "${VKB_LAYOUTS_BASE}/zh_TW/main.qml"
    "${VKB_LAYOUTS_BASE}/zh_TW/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/zh_TW/symbols.qml"
)

qt_internal_add_resource(qtvkbtcimeplugin "qmake_virtualkeyboard_tcime_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_tcime_layouts_resource_files}
)

if (NOT FEATURE_vkb_no_bundle_tcime)
    # Resources:
    set(qmake_tcime_resource_files
        "3rdparty/tcime/data/qt/dict_cangjie.dat"
        "3rdparty/tcime/data/qt/dict_phrases.dat"
        "3rdparty/tcime/data/qt/dict_zhuyin.dat"
    )

    qt_internal_add_resource(qtvkbtcimeplugin "qmake_tcime"
        PREFIX
            "/qt-project.org/imports/QtQuick/VirtualKeyboard"
        BASE
            "${CMAKE_CURRENT_SOURCE_DIR}"
        FILES
            ${qmake_tcime_resource_files}
    )
else()
    qt_copy_or_install(
        DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/tcime/data/qt/"
        DESTINATION "${VKB_INSTALL_DATA}/tcime"
        FILES_MATCHING
        PATTERN "*.dat"
    )
endif()

=== debian/changelog ===
qt6-virtualkeyboard (6.4.2+dfsg-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:48:59 +1100

qt6-virtualkeyboard (6.4.2+dfsg-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:02:12 +0000

qt6-virtualkeyboard (6.4.2+dfsg-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jul 2023 18:33:20 -0300

qt6-virtualkeyboard (6.4.2+dfsg-3) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages.
  * Hack around #1040496 in order to decrease severity. This is _not_ a proper
    fix.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Jul 2023 21:18:24 -0300

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.4.2+dfsg~),
               qml6-module-qttest (>= 6.4.2+dfsg~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-svg-dev (>= 6.4.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
Rules-Requires-Root: no

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: libqt6hunspellinputmethod6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Hunspell Input Method helper library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt 6 Hunspell Input Method helper library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 5 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: qt6-virtualkeyboard-dev
Provides: libqt6virtualkeyboard6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Replaces: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 virtual keyboard examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt virtual keyboard submodule.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# Hack around #1040496. While I do not think this is serious it is indeed
# important and might be fixed in Qt >= 6.5
PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	ifeq ($(NUMJOBS), 1)
		DEB_BUILD_OPTIONS := $(subst parallel=1,parallel=2,$(DEB_BUILD_OPTIONS))
	endif
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-virtualkeyboard 6.6.2+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.6.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:44:25 +0200

qt6-virtualkeyboard (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 23:12:42 +0100

qt6-virtualkeyboard (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6hunspellinputmethod6.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Dec 2023 23:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-virtualkeyboard
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,19 +12,17 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-svg-dev (>= 6.4.2~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-svg-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
@@ -46,24 +43,12 @@
  .
  This package contains the Qt Virtual Keyboard library.
 
-Package: libqt6hunspellinputmethod6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Hunspell Input Method helper library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- The Qt Virtual Keyboard project provides an input framework and
- reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
- Desktop, and Boot2Qt targets.
- .
- This package contains the Qt 6 Hunspell Input Method helper library.
-
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6hunspellinputmethod6,
+Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-virtualkeyboard 6.7.2+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.7.2+dfsg-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Dec 2024 23:51:30 +0100

qt6-virtualkeyboard (6.7.2+dfsg-3) unstable; urgency=medium

  * Remove virtual package libqt6virtualkeyboard6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:09:35 +0200

qt6-virtualkeyboard (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 14:59:49 +0200

qt6-virtualkeyboard (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.
  * Remove hack to work around the problem of failing builds with
    parallel=1 (Closes: #1040496).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 18:34:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
@@ -12,18 +14,19 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-svg-dev (>= 6.6.2~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-multimedia-dev (>= 6.7.2~),
+               qt6-svg-dev (>= 6.7.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
@@ -46,7 +49,7 @@
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6hunspellinputmethod6,
 Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
@@ -76,11 +79,11 @@
  This package contains the Qt Virtual Keyboard plugin.
 
 Package: qt6-virtualkeyboard-dev
-Provides: libqt6virtualkeyboard6-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
+         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
@@ -122,7 +125,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 virtual keyboard examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-virtualkeyboard 6.8.0+dfsg

=== debian/changelog ===
qt6-virtualkeyboard (6.8.0+dfsg-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 10:45:50 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
@@ -14,18 +12,18 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-multimedia-dev (>= 6.7.2~),
-               qt6-svg-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-multimedia-dev (>= 6.8.0~),
+               qt6-svg-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
@@ -49,7 +47,7 @@
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6hunspellinputmethod6,
 Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
@@ -83,7 +81,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
-         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
@@ -125,7 +122,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 virtual keyboard examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,6 @@
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	extra_cmake_args += -DQT_HOST_PATH=/usr
-endif
-
-# Hack around #1040496. While I do not think this is serious it is indeed
-# important and might be fixed in Qt >= 6.5
-PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
-ifneq (,$(PARALLEL_OPTION))
-	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
-	ifeq ($(NUMJOBS), 1)
-		DEB_BUILD_OPTIONS := $(subst parallel=1,parallel=2,$(DEB_BUILD_OPTIONS))
-	endif
 endif
 
 %:
@@ -36,6 +26,12 @@
 	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;
 
+override_dh_shlibdeps:
+	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+
+override_dh_makeshlibs:
+	dh_makeshlibs -XlibQt6VirtualKeyboardSettings
+
 execute_after_dh_auto_install-arch:
 	# Reproducible builds: remove build paths from .prl files
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-virtualkeyboard 6.8.1+dfsg

=== src/plugins/thai/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtVirtualKeyboardThaiPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbthaiplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Thai"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbthaiplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        thaiinputmethod.cpp thaiinputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
    NO_GENERATE_CPP_EXPORTS
)

# Resources:
set(qmake_virtualkeyboard_thai_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/th_TH/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/th_TH/digits.fallback"
    "${VKB_LAYOUTS_BASE}/th_TH/main.qml"
    "${VKB_LAYOUTS_BASE}/th_TH/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/th_TH/symbols.qml"
)

qt_internal_add_resource(qtvkbthaiplugin "qmake_virtualkeyboard_thai_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_thai_layouts_resource_files}
)

qt_internal_extend_target(qtvkbthaiplugin CONDITION QT_FEATURE_hunspell
    LIBRARIES
        Qt::HunspellInputMethodPrivate
)

=== debian/changelog ===
qt6-virtualkeyboard (6.8.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:26:15 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: qt6-virtualkeyboard
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                hunspell-en-gb <!nocheck>,
                libgl-dev,
                libhunspell-dev,
@@ -12,14 +15,14 @@
                libvulkan-dev [linux-any],
                libxcb-xfixes0-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-multimedia-dev (>= 6.8.0~),
-               qt6-svg-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-multimedia-dev (>= 6.8.1~),
+               qt6-svg-dev (>= 6.8.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
@@ -47,7 +50,7 @@
 Package: qml6-module-qtquick-virtualkeyboard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6hunspellinputmethod6,
 Replaces: libqt6hunspellinputmethod6,
 Description: Qt 6 Virtual Keyboard QML module
@@ -81,6 +84,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
+         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
@@ -122,7 +126,7 @@
 Architecture: any
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 virtual keyboard examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
